Index: src/Patterns/unittests/Makefile.am
===================================================================
--- src/Patterns/unittests/Makefile.am	(revision 5bc8229c9ad8aacd95f80f0270ccd72aad8fb4a8)
+++ src/Patterns/unittests/Makefile.am	(revision 57d976e0915dfd9310443b244dfde9c7d398ab8e)
@@ -11,4 +11,5 @@
   CacheableUnitTest \
   ObserverUnitTest \
+  RegistryUnitTest \
   SingletonUnitTest
 
@@ -36,4 +37,9 @@
 ObserverUnitTest_LDADD = $(BOOST_LIB)
 
+RegistryUnitTest_SOURCES = $(top_srcdir)/src/unittests/UnitTestMain.cpp \
+	RegistryUnitTest.cpp \
+	RegistryUnitTest.hpp
+#RegistryUnitTest_LDADD = $(PATTERNLIBS)
+
 SingletonUnitTest_SOURCES = $(top_srcdir)/src/unittests/UnitTestMain.cpp \
 	SingletonUnitTest.cpp \
Index: src/Patterns/unittests/RegistryUnitTest.cpp
===================================================================
--- src/Patterns/unittests/RegistryUnitTest.cpp	(revision 57d976e0915dfd9310443b244dfde9c7d398ab8e)
+++ src/Patterns/unittests/RegistryUnitTest.cpp	(revision 57d976e0915dfd9310443b244dfde9c7d398ab8e)
@@ -0,0 +1,48 @@
+/*
+ * Project: MoleCuilder
+ * Description: creates and alters molecular systems
+ * Copyright (C)  2010 University of Bonn. All rights reserved.
+ * Please see the LICENSE file or "Copyright notice" in builder.cpp for details.
+ */
+
+/*
+ * RegistryUnitTest.cpp
+ *
+ *  Created on: Oct 27, 2010
+ *      Author: heber
+ */
+
+// include config.h
+#ifdef HAVE_CONFIG_H
+#include <config.h>
+#endif
+
+#include <cppunit/CompilerOutputter.h>
+#include <cppunit/extensions/TestFactoryRegistry.h>
+#include <cppunit/ui/text/TestRunner.h>
+
+#include <typeinfo>
+
+#include "RegistryUnitTest.hpp"
+
+#ifdef HAVE_TESTRUNNER
+#include "UnitTestMain.hpp"
+#endif /*HAVE_TESTRUNNER*/
+
+/********************************************** Test classes **************************************/
+
+// Registers the fixture into the 'registry'
+CPPUNIT_TEST_SUITE_REGISTRATION( RegistryTest );
+
+
+void RegistryTest::setUp()
+{};
+
+
+void RegistryTest::tearDown()
+{};
+
+void RegistryTest::InOutCheck()
+{
+  CPPUNIT_ASSERT(true);
+}
Index: src/Patterns/unittests/RegistryUnitTest.hpp
===================================================================
--- src/Patterns/unittests/RegistryUnitTest.hpp	(revision 57d976e0915dfd9310443b244dfde9c7d398ab8e)
+++ src/Patterns/unittests/RegistryUnitTest.hpp	(revision 57d976e0915dfd9310443b244dfde9c7d398ab8e)
@@ -0,0 +1,30 @@
+/*
+ * RegistryUnitTest.hpp
+ *
+ *  Created on: Oct 27, 2010
+ *      Author: heber
+ */
+
+#ifndef REGISTRYUNITTEST_HPP_
+#define REGISTRYUNITTEST_HPP_
+
+#include <cppunit/extensions/HelperMacros.h>
+
+
+/********************************************** Test classes **************************************/
+
+class RegistryTest : public CppUnit::TestFixture
+{
+    CPPUNIT_TEST_SUITE( RegistryTest) ;
+    CPPUNIT_TEST ( InOutCheck );
+    CPPUNIT_TEST_SUITE_END();
+
+public:
+      void setUp();
+      void tearDown();
+      void InOutCheck();
+
+private:
+};
+
+#endif /* REGISTRYUNITTEST_HPP_ */
Index: src/unittests/Makefile.am
===================================================================
--- src/unittests/Makefile.am	(revision 5bc8229c9ad8aacd95f80f0270ccd72aad8fb4a8)
+++ src/unittests/Makefile.am	(revision 57d976e0915dfd9310443b244dfde9c7d398ab8e)
@@ -29,5 +29,4 @@
   ListOfBondsUnitTest \
   periodentafelTest \
-  Registry \
   ShapeUnittest \
   SubspaceFactorizerUnitTest \
@@ -89,5 +88,5 @@
   periodentafelTest.cpp \
   ../LinearAlgebra/unittests/PlaneUnitTest.cpp \
-  RegistryUnitTest.cpp \
+  ../Patterns/unittests/RegistryUnitTest.cpp \
   ShapeUnittest.cpp \
   ../Patterns/unittests/SingletonUnitTest.cpp \
@@ -129,5 +128,5 @@
   periodentafelTest.hpp \
   ../LinearAlgebra/unittests/PlaneUnitTest.hpp \
-  RegistryUnitTest.hpp \
+  ../Patterns/unittests/RegistryUnitTest.hpp \
   ShapeUnittest.hpp \
   ../Patterns/unittests/SingletonUnitTest.hpp \
@@ -173,7 +172,4 @@
 periodentafelTest_LDADD = ${ALLLIBS}
 
-Registry_SOURCES = UnitTestMain.cpp RegistryUnitTest.cpp RegistryUnitTest.hpp
-Registry_LDADD = ${ALLLIBS}
-
 ShapeUnittest_SOURCES = UnitTestMain.cpp ShapeUnittest.cpp ShapeUnittest.hpp
 ShapeUnittest_LDADD = ${ALLLIBS}
Index: c/unittests/RegistryUnitTest.cpp
===================================================================
--- src/unittests/RegistryUnitTest.cpp	(revision 5bc8229c9ad8aacd95f80f0270ccd72aad8fb4a8)
+++ 	(revision )
@@ -1,52 +1,0 @@
-/*
- * Project: MoleCuilder
- * Description: creates and alters molecular systems
- * Copyright (C)  2010 University of Bonn. All rights reserved.
- * Please see the LICENSE file or "Copyright notice" in builder.cpp for details.
- */
-
-/*
- * RegistryUnitTest.cpp
- *
- *  Created on: Oct 27, 2010
- *      Author: heber
- */
-
-// include config.h
-#ifdef HAVE_CONFIG_H
-#include <config.h>
-#endif
-
-#include <cppunit/CompilerOutputter.h>
-#include <cppunit/extensions/TestFactoryRegistry.h>
-#include <cppunit/ui/text/TestRunner.h>
-
-#include "RegistryUnitTest.hpp"
-
-#include <typeinfo>
-
-#include "Actions/ActionRegistry.hpp"
-#include "Actions/ActionTraits.hpp"
-#include "Actions/OptionRegistry.hpp"
-
-#ifdef HAVE_TESTRUNNER
-#include "UnitTestMain.hpp"
-#endif /*HAVE_TESTRUNNER*/
-
-/********************************************** Test classes **************************************/
-
-// Registers the fixture into the 'registry'
-CPPUNIT_TEST_SUITE_REGISTRATION( RegistryTest );
-
-
-void RegistryTest::setUp()
-{};
-
-
-void RegistryTest::tearDown()
-{};
-
-void RegistryTest::InOutCheck()
-{
-  CPPUNIT_ASSERT(true);
-}
Index: c/unittests/RegistryUnitTest.hpp
===================================================================
--- src/unittests/RegistryUnitTest.hpp	(revision 5bc8229c9ad8aacd95f80f0270ccd72aad8fb4a8)
+++ 	(revision )
@@ -1,30 +1,0 @@
-/*
- * RegistryUnitTest.hpp
- *
- *  Created on: Oct 27, 2010
- *      Author: heber
- */
-
-#ifndef REGISTRYUNITTEST_HPP_
-#define REGISTRYUNITTEST_HPP_
-
-#include <cppunit/extensions/HelperMacros.h>
-
-
-/********************************************** Test classes **************************************/
-
-class RegistryTest : public CppUnit::TestFixture
-{
-    CPPUNIT_TEST_SUITE( RegistryTest) ;
-    CPPUNIT_TEST ( InOutCheck );
-    CPPUNIT_TEST_SUITE_END();
-
-public:
-      void setUp();
-      void tearDown();
-      void InOutCheck();
-
-private:
-};
-
-#endif /* REGISTRYUNITTEST_HPP_ */
